// Code generated by protoc-gen-go. DO NOT EDIT.
// source: blockchain_command.proto

package pb

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type BlockchainRequest struct {
	HashSmith            string   `protobuf:"bytes,1,opt,name=HashSmith,proto3" json:"HashSmith,omitempty"`
	MyAddress            string   `protobuf:"bytes,2,opt,name=MyAddress,proto3" json:"MyAddress,omitempty"`
	Signature            string   `protobuf:"bytes,3,opt,name=Signature,proto3" json:"Signature,omitempty"`
	Blocks               string   `protobuf:"bytes,4,opt,name=Blocks,proto3" json:"Blocks,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *BlockchainRequest) Reset()         { *m = BlockchainRequest{} }
func (m *BlockchainRequest) String() string { return proto.CompactTextString(m) }
func (*BlockchainRequest) ProtoMessage()    {}
func (*BlockchainRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_6228afc56cb3da4c, []int{0}
}

func (m *BlockchainRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_BlockchainRequest.Unmarshal(m, b)
}
func (m *BlockchainRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_BlockchainRequest.Marshal(b, m, deterministic)
}
func (m *BlockchainRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_BlockchainRequest.Merge(m, src)
}
func (m *BlockchainRequest) XXX_Size() int {
	return xxx_messageInfo_BlockchainRequest.Size(m)
}
func (m *BlockchainRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_BlockchainRequest.DiscardUnknown(m)
}

var xxx_messageInfo_BlockchainRequest proto.InternalMessageInfo

func (m *BlockchainRequest) GetHashSmith() string {
	if m != nil {
		return m.HashSmith
	}
	return ""
}

func (m *BlockchainRequest) GetMyAddress() string {
	if m != nil {
		return m.MyAddress
	}
	return ""
}

func (m *BlockchainRequest) GetSignature() string {
	if m != nil {
		return m.Signature
	}
	return ""
}

func (m *BlockchainRequest) GetBlocks() string {
	if m != nil {
		return m.Blocks
	}
	return ""
}

type BlockchainResponse struct {
	Status               string   `protobuf:"bytes,1,opt,name=Status,proto3" json:"Status,omitempty"`
	Message              string   `protobuf:"bytes,2,opt,name=Message,proto3" json:"Message,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *BlockchainResponse) Reset()         { *m = BlockchainResponse{} }
func (m *BlockchainResponse) String() string { return proto.CompactTextString(m) }
func (*BlockchainResponse) ProtoMessage()    {}
func (*BlockchainResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_6228afc56cb3da4c, []int{1}
}

func (m *BlockchainResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_BlockchainResponse.Unmarshal(m, b)
}
func (m *BlockchainResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_BlockchainResponse.Marshal(b, m, deterministic)
}
func (m *BlockchainResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_BlockchainResponse.Merge(m, src)
}
func (m *BlockchainResponse) XXX_Size() int {
	return xxx_messageInfo_BlockchainResponse.Size(m)
}
func (m *BlockchainResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_BlockchainResponse.DiscardUnknown(m)
}

var xxx_messageInfo_BlockchainResponse proto.InternalMessageInfo

func (m *BlockchainResponse) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *BlockchainResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func init() {
	proto.RegisterType((*BlockchainRequest)(nil), "BlockchainRequest")
	proto.RegisterType((*BlockchainResponse)(nil), "BlockchainResponse")
}

func init() {
	proto.RegisterFile("blockchain_command.proto", fileDescriptor_6228afc56cb3da4c)
}

var fileDescriptor_6228afc56cb3da4c = []byte{
	// 220 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0x92, 0x48, 0xca, 0xc9, 0x4f,
	0xce, 0x4e, 0xce, 0x48, 0xcc, 0xcc, 0x8b, 0x4f, 0xce, 0xcf, 0xcd, 0x4d, 0xcc, 0x4b, 0xd1, 0x2b,
	0x28, 0xca, 0x2f, 0xc9, 0x57, 0x6a, 0x65, 0xe4, 0x12, 0x74, 0x82, 0x4b, 0x06, 0xa5, 0x16, 0x96,
	0xa6, 0x16, 0x97, 0x08, 0xc9, 0x70, 0x71, 0x7a, 0x24, 0x16, 0x67, 0x04, 0xe7, 0x66, 0x96, 0x64,
	0x48, 0x30, 0x2a, 0x30, 0x6a, 0x70, 0x06, 0x21, 0x04, 0x40, 0xb2, 0xbe, 0x95, 0x8e, 0x29, 0x29,
	0x45, 0xa9, 0xc5, 0xc5, 0x12, 0x4c, 0x10, 0x59, 0xb8, 0x00, 0x48, 0x36, 0x38, 0x33, 0x3d, 0x2f,
	0xb1, 0xa4, 0xb4, 0x28, 0x55, 0x82, 0x19, 0x22, 0x0b, 0x17, 0x10, 0x12, 0xe3, 0x62, 0x03, 0x5b,
	0x57, 0x2c, 0xc1, 0x02, 0x96, 0x82, 0xf2, 0x94, 0xdc, 0xb8, 0x84, 0x90, 0x9d, 0x51, 0x5c, 0x90,
	0x9f, 0x57, 0x0c, 0x56, 0x1d, 0x5c, 0x92, 0x58, 0x52, 0x5a, 0x0c, 0x75, 0x04, 0x94, 0x27, 0x24,
	0xc1, 0xc5, 0xee, 0x9b, 0x5a, 0x5c, 0x9c, 0x98, 0x9e, 0x0a, 0xb5, 0x1f, 0xc6, 0x35, 0x0a, 0xe4,
	0x12, 0xf2, 0x44, 0x18, 0xe4, 0x0c, 0xf1, 0xab, 0x90, 0x35, 0x17, 0x9f, 0x73, 0x51, 0x6a, 0x62,
	0x49, 0xaa, 0x5f, 0x6a, 0x39, 0x58, 0x56, 0x48, 0x48, 0x0f, 0xc3, 0xd7, 0x52, 0xc2, 0x7a, 0x98,
	0x4e, 0x50, 0x62, 0x70, 0x62, 0x89, 0x62, 0x2a, 0x48, 0x4a, 0x62, 0x03, 0x87, 0x97, 0x31, 0x20,
	0x00, 0x00, 0xff, 0xff, 0x88, 0x1b, 0x22, 0xe7, 0x4b, 0x01, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// IBlockchainCommandClient is the client API for IBlockchainCommand service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type IBlockchainCommandClient interface {
	CreateNewBlock(ctx context.Context, in *BlockchainRequest, opts ...grpc.CallOption) (*BlockchainResponse, error)
}

type iBlockchainCommandClient struct {
	cc grpc.ClientConnInterface
}

func NewIBlockchainCommandClient(cc grpc.ClientConnInterface) IBlockchainCommandClient {
	return &iBlockchainCommandClient{cc}
}

func (c *iBlockchainCommandClient) CreateNewBlock(ctx context.Context, in *BlockchainRequest, opts ...grpc.CallOption) (*BlockchainResponse, error) {
	out := new(BlockchainResponse)
	err := c.cc.Invoke(ctx, "/IBlockchainCommand/CreateNewBlock", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// IBlockchainCommandServer is the server API for IBlockchainCommand service.
type IBlockchainCommandServer interface {
	CreateNewBlock(context.Context, *BlockchainRequest) (*BlockchainResponse, error)
}

// UnimplementedIBlockchainCommandServer can be embedded to have forward compatible implementations.
type UnimplementedIBlockchainCommandServer struct {
}

func (*UnimplementedIBlockchainCommandServer) CreateNewBlock(ctx context.Context, req *BlockchainRequest) (*BlockchainResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateNewBlock not implemented")
}

func RegisterIBlockchainCommandServer(s *grpc.Server, srv IBlockchainCommandServer) {
	s.RegisterService(&_IBlockchainCommand_serviceDesc, srv)
}

func _IBlockchainCommand_CreateNewBlock_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(BlockchainRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IBlockchainCommandServer).CreateNewBlock(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/IBlockchainCommand/CreateNewBlock",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IBlockchainCommandServer).CreateNewBlock(ctx, req.(*BlockchainRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _IBlockchainCommand_serviceDesc = grpc.ServiceDesc{
	ServiceName: "IBlockchainCommand",
	HandlerType: (*IBlockchainCommandServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CreateNewBlock",
			Handler:    _IBlockchainCommand_CreateNewBlock_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "blockchain_command.proto",
}
